.. SPDX-License-Identifier: BSD-3-Clause

Welcome to DPDK Test Suite's API documentation
==============================================

.. automodule:: framework
   :members:
   :show-inheritance:

Packages
--------

.. toctree::
   :includehidden:
   :maxdepth: 1

   framework.testbed_model
   framework.remote_session
   framework.params
   framework.config

Modules
-------

.. toctree::
   :maxdepth: 1

   framework.runner
   framework.test_suite
   framework.test_result
   framework.settings
   framework.logger
   framework.parser
   framework.utils
   framework.exception


Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
